uniform sampler2D vertextex;
uniform sampler2D spritetex;
varying vec4 color;
varying float dist;

void main(void) {
  vec4 tex=texture2D(spritetex, gl_TexCoord[0].xy);
  gl_FragColor = color*tex/dist;
}

